# coding: utf8
# On charge une image png 99x96
#L'image est repérée par son CSG

#-----------------------------LIBRAIRIES------------------------------
import pygame, sys, random, math
from pygame.locals import *

#------------------------VARIABLES-----------------------------------
LARGEUR = 800
HAUTEUR = 500
NOIR = (0,0,0)
LARGEUR_IMAGE = 99
HAUTEUR_IMAGE = 96
#
csg = [(LARGEUR-LARGEUR_IMAGE)/2 ,(HAUTEUR-HAUTEUR_IMAGE)/2 ]
vecteur = [1,1]
#-----------------------------------FONCTIONS-----------------------------------------------

def toucheBordsLateraux():
    global csg
    return csg[0] >LARGEUR - LARGEUR_IMAGE or csg[0]< 0
# -----------------------------------------------------------------------------
def toucheBordsTransversaux():
    global csg
    return csg[1] >HAUTEUR - HAUTEUR_IMAGE or csg[1] < 0 
#--------------------------------------------------------------
def mettreAJourCSG():
    global csg,vecteur
    if toucheBordsLateraux():
        vecteur[0] *= -1
    elif toucheBordsTransversaux():
        vecteur[1] *= -1
    csg[0]  += vecteur[0]
    csg[1]  += vecteur[1]
#------------------------------------------------------------------------------ 
 

# --------------------PROGRAMME PRINCIPAL--------------------------------
#Initialisation de pygame
pygame.init()

#Initialisation de la fenetre graphique
fenetre = pygame.display.set_mode((LARGEUR,HAUTEUR))
pygame.display.set_caption("Animation5")

#chargement de l'image en mémoire vive
image_Balle  = pygame.image.load("SoccerBall.png")

#peindre la fenêtre en noir
fenetre.fill(NOIR)

#intégration de l'image à la fenêtre
fenetre.blit(image_Balle,(csg[0],csg[1]))
    
#mettre a jour la fenetre
pygame.display.update()
    
#boucle infinie
while True:

#receptionnaire evenements
    for event in pygame.event.get():
	if event.type == QUIT:
	    pygame.quit()
	    sys.exit()
	    
    mettreAJourCSG()
    
    #peindre la fenêtre en noir
    fenetre.fill(NOIR)
    
    #intégration de l'image à la fenêtre
    fenetre.blit(image_Balle,(csg[0],csg[1]))
    
    #mettre a jour la fenetre
    pygame.display.update()
	 	

   
#------------------------------------------------------------------------------------------
